#include <u.h>
#include <libc.h>

char test_desc[] = "Testing the ability to attach one shared segment of one pg";

void main(int argc, char *argv[]){
  char *seg0;
  print(">>> TEST STARTED %s\n", argv[0]);

  print("Testing: %s\n", test_desc);

  print("Attaching segment \n");
  seg0 = segattach(0, "shared", nil, 4096);
  if (seg0 == nil)
    print("Unable to get segment\n");
  else
    print("Got seg of addr %x \n", seg0);
  
  if(seg0) {
    print("Zeroing segment\n");
    memset(seg0, 0, 4096);
  }

  print("Exiting. \n");

  print(">>> TEST FINISHED %s\n", argv[0]);
}
